convassess {POT} | R Documentation

## Convergence Assessment for Fitted Objects

### Description

`convassess` is a generic function used to assess the convergence of the estimation procedure to the global maximum. The function invokes particular `methods` which depend on the `class` of the first argument. This function uses several starting values to assess the sensitiveness of the fitted object with respect to starting values.

### Usage

    convassess(fitted, n = 50)

    ## S3 method for class 'uvpot'
    convassess(fitted, n = 50)
    ## S3 method for class 'mcpot'
    convassess(fitted, n = 50)
    ## S3 method for class 'bvpot'
    convassess(fitted, n = 50)

### Arguments

`fitted` | A fitted object. When using the POT package, an object of class `'uvpot'`, `'mcpot'` or `'bvpot'`. Generally, an object return by `fitgpd`, `fitmcgpd` or `fitbvgpd`.
`n` | The number of starting values to be tested.

### Details

The starting values are defined using the unbiased probability weighted moments fitted on `n` bootstrap samples.

### Value

Graphics: the considered starting values, the objective values derived from numerical optimizations and traceplots for all estimated parameters. In addition, it returns invisibly all these informations.

### Author(s)

Mathieu Ribatet

### See Also

`fitgpd`, `fitmcgpd`, `fitbvgpd`

### Examples

    ##Univariate Case
    x <- rgpd(30, 0, 1, 0.2)
    med <- fitgpd(x, 0, "med")
    convassess(med)
    ##Bivariate Case
    x <- rbvgpd(50, model = "log", alpha = 0.5, mar1 = c(0, 1, 0.2))
    log <- fitbvgpd(x, c(0,0))
    convassess(log)

[Package POT version 1.1-7 Index]